play.mvc

## Class Scope.RouteArgs

- java.lang.Object
- - play.mvc.Scope.RouteArgs

- Enclosing class:
    Scope

      public static class Scope.RouteArgs
      extends java.lang.Object

  Routes args (used in reserve routing)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.ThreadLocal<Scope.RouteArgs>` | `current`
    `java.util.Map<java.lang.String,java.lang.Object>` | `data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouteArgs()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scope.RouteArgs` | `current()`
    `java.lang.Object` | `get(java.lang.String key)`
    `void` | `put(java.lang.String key, java.lang.Object arg)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### data

          public java.util.Map<java.lang.String,java.lang.Object> data

    - #### current

          public static final java.lang.ThreadLocal<Scope.RouteArgs> current

  - ### Constructor Detail

    - #### RouteArgs

          public RouteArgs()

  - ### Method Detail

    - #### current

          public static Scope.RouteArgs current()

    - #### put

          public void put(java.lang.String key,
                          java.lang.Object arg)

    - #### get

          public java.lang.Object get(java.lang.String key)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly